%define aurox_ver 11.0
%define rel 1


%define DRV_VERSION 1.2

%define kversion 2.6.12
%define krelver 11.0.aur.2

Summary: NdisWrapper allows you to use Windows XP drivers for that WLAN card without proper Linux drivers.
Name: ndiswrapper
Version: %{DRV_VERSION}
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Base
URL: http://ndiswrapper.sourceforge.net
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kernel = %{kversion}-%{krelver}
BuildRequires: kernel-smp = %{kversion}-%{krelver}
BuildRequires: kernel-devel = %{kversion}-%{krelver}
BuildRequires: kernel-smp-devel = %{kversion}-%{krelver}


%description
Some wireless LAN vendors refuse to release hardware specifications or
drivers for their products for operating systems other than Microsoft
Windows. The ndiswrapper project makes it possible to use such
hardware with Linux by means of a loadable kernel module that "wraps
around" NDIS (Windows network driver API) drivers. This rpm contains
just the userspace tools. You will also need the kernel module rpm.

%package tools
Summary: NdisWrapper allows you to use Windows XP drivers for that WLAN card without proper Linux drivers.
Group: System Environment/Base
Obsoletes: ndiswrapper
Provides: ndiswrapper

%description tools
Some wireless LAN vendors refuse to release hardware specifications or
drivers for their products for operating systems other than Microsoft
Windows. The ndiswrapper project makes it possible to use such
hardware with Linux by means of a loadable kernel module that "wraps
around" NDIS (Windows network driver API) drivers. This rpm contains
just the userspace tools. You will also need the kernel module rpm.

%package kernel
Summary: NdisWrapper kernel module
Requires: kernel = %{kversion}-%{krelver}, ndiswrapper-tools = %{DRV_VERSION}
Version: %{kversion}
Release: 0.aur.%{rel}
Group: System Environment/Kernel
PreReq: /sbin/depmod
Provides: kernel-modules
#%{?ksmp:Provides: ndiswrapper-kernel-%(name -r) = %{version}-%{release}_%{krelver}}

%description kernel
Kernel module for NdisWrapper.

%package kernel-smp
Summary: NdisWrapper SMP kernel module
Requires: kernel-smp = %{kversion}-%{krelver}, ndiswrapper-tools = %{DRV_VERSION}
Version: %{kversion}
Release: 0.aur.%{rel}
Group: System Environment/Kernel
PreReq: /sbin/depmod
Provides: kernel-modules
Provides: ndiswrapper-kernel = %{version}-%{release}

%description kernel-smp
SMP Kernel module for NdisWrapper.


%prep
%setup -q

%build
# FIXME: no more kernel-source, we assume that correct headers are present for 
# the architecture we build for
BuildModule() {
	make KVER=%{kversion}-%{krelver}$1 KSRC=/lib/modules/%{kversion}-%{krelver}$1/build all
}

if [ -d /lib/modules/%{kversion}-%{krelver}smp ]; then # FIXME
	BuildModule smp
	mv driver/ndiswrapper.ko driver/ndiswrapper-smp.ko
fi
BuildModule

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
make KVER=%{kversion}-%{krelver} KSRC=/lib/modules/%{kversion}-%{krelver}/build INST_DIR=$RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelver}/misc DESTDIR=$RPM_BUILD_ROOT install
# the module needs to be stripped anyway, so make it executable
install -D driver/ndiswrapper.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelver}/misc/ndiswrapper.ko
# install the SMP module
if [ -f driver/ndiswrapper-smp.ko ]; then
	install -D driver/ndiswrapper-smp.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelver}smp/misc/ndiswrapper.ko
fi

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_tmppath}/linux-%{kversion}-%{krelver}

# This is hackish but rpmbuild won't accept arch-conditional subpackages
%ifarch i386
%files tools
%undefine __check_files
%defattr(0755,root,root)
/sbin/loadndisdriver
/usr/sbin/ndiswrapper
/usr/share/man/man8/ndiswrapper.8.gz
%doc README AUTHORS ChangeLog INSTALL
%endif

%ifnarch i386
%files kernel
%undefine __check_files
%defattr(0644,root,root)
/lib/modules/%{kversion}-%{krelver}/misc/ndiswrapper.*
%ifnarch i586 # no SMP modules for those
%files kernel-smp
%undefine __check_files
%defattr(0644,root,root)
/lib/modules/%{kversion}-%{krelver}smp/misc/ndiswrapper.*
%endif # i586
%endif # i386

%post kernel
/sbin/depmod -a

%post kernel-smp
/sbin/depmod -a


%postun kernel
/sbin/depmod -a

%postun kernel-smp
/sbin/depmod -a


%changelog
* Mon Aug 08 2005 Karol Kozimor <kkozimor@aurox.org> 1.2-11.0.aur.1
- 1.2.
- Update build system.

* Thu May 12 2005 Aurox Team <aurox@aurox.org> 1.1-10.3.aur.1

* Fri Nov 12 2004 Aurox Team <aurox@aurox.org> 0.9-10.1.aur.1
- Respin against 2.6.9-10.1.aur.4.
- Respin against 2.6.9-10.1.aur.1.
- Update to ndiswrapper-0.9, respin against 2.6.7-10.0.aur.9.
- Make the module build for UP and SMP kernels.
- Upgrade to ndiswrapper-0.8
- Split into -tools and -kernel so modules can be built for multiple architectures
- Respin against kernel-2.6.7-10.0.aur.4
- fix installing of module and utils
- initial import

* Tue Feb  3 2004  <abennett@olin.edu> - 
- Initial build.

